%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		2
%define api		0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary:	A configuration storage system for Xfce
Name:		xfconf
Version:	4.10.0
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-1) >= 1.0.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.72
BuildRequires:	pkgconfig(gobject-2.0) >= 2.18.0
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.8.0
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Glib::MakeHelper)
BuildRequires:	perl(Glib)
BuildRequires:	perl-devel
Requires:	dbus-x11

%description
Xfconf is a hierarchical (tree-like) configuration
system for the Xfce graphical desktop environment.

%package -n %{libname}
Summary:	Main library for xfconf
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Main library for the xfconf, a configuration
storage system for Xfce.

%package -n %{develname}
Summary:	Development files for xfconf
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 4.10.0

%description -n %{develname}
Development files and headers for %{name}.

%package -n perl-%{name}
Summary:	Perl bindings for %{name}
Group:		Development/Perl
Requires:	%{libname} = %{version}-%{release}

%description -n perl-%{name}
Perl bindings for %{name}.

%prep
%setup -q

%build
%configure2_5x	\
	--disable-static \
	--enable-perl-bindings

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

mkdir -p %{buildroot}%{_mandir}/man3
mv -f %{buildroot}/usr/local/share/man/man3/Xfce4::Xfconf.3pm %{buildroot}%{_mandir}/man3

# dummy
mkdir -p %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%{_bindir}/xfconf-query
%{_libdir}/xfce4/%{name}/xfconfd
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service

%files -n %{libname}
%{_libdir}/*xfconf-%{api}.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/xfconf
%{_includedir}/xfce4/xfconf-%{api}
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc

%files -n perl-%{name}
%dir %{perl_sitearch}/Xfce4
%dir %{perl_sitearch}/Xfce4/Xfconf
%dir %{perl_sitearch}/Xfce4/Xfconf/Install
%dir %{perl_sitearch}/auto/Xfce4/Xfconf
%{perl_sitearch}/Xfce4/*.pm
%{perl_sitearch}/Xfce4/Xfconf/Install/*
%{perl_sitearch}/auto/Xfce4/Xfconf/*.so
%{_mandir}/man3/Xfce4::Xfconf.3pm.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.10.0-5.mga4
+ Revision: 524141
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 4.10.0-4.mga4
+ Revision: 430317
- rebuild for new perl

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-3.mga3
+ Revision: 386886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 4.10.0-2.mga3
+ Revision: 251614
- perl 5.16 rebuild

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248409
- new version 4.10.0
- move docs to devel pkg
- don't regenerate docs at build time
- clean .spec

* Sat Dec 24 2011 wally <wally> 4.8.1-1.mga2
+ Revision: 187159
- new version 4.8.1

* Wed Sep 14 2011 fwang <fwang> 4.8.0-3.mga2
+ Revision: 143393
- drop .la files

* Sun Jun 12 2011 ahmad <ahmad> 4.8.0-2.mga2
+ Revision: 104500
- Rebuild for perl-5.14.0

* Thu Jan 27 2011 ahmad <ahmad> 4.8.0-1.mga1
+ Revision: 41566
- imported package xfconf


* Wed Jan 19 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1mdv2011.0
+ Revision: 631655
- update to new version 4.8.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 629099
- update to new version 4.7.5

* Sat Dec 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 609296
- update to new version 4.7.4

* Fri Sep 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 579276
- update to new version 4.7.3
- fix file list
- handle new url for Source0

* Thu Jul 22 2010 Jérôme Quelin <jquelin@mandriva.org> 4.6.2-2mdv2011.0
+ Revision: 556783
- perl 5.12 rebuild

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2011.0
+ Revision: 553659
- update to new version 4.6.2

* Mon Mar 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-4mdv2010.1
+ Revision: 513125
- disable checks for non existing settings

* Thu Feb 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-3mdv2010.1
+ Revision: 511087
- add missing requires and buildrequires

* Sat Jan 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.1
+ Revision: 484913
- library should require binaries

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368570
- update to new version 4.6.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349233
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345642
- New upstream release

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333867
- update to new version 4.5.99.1

* Wed Jan 14 2009 Jérôme Soyer <saispo@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329529
- New upstream release
- New upstream release

* Wed Dec 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-3mdv2009.1
+ Revision: 312380
- requires dbus-x11

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-2mdv2009.1
+ Revision: 306418
- own /etc/xdg/xfce4/xfconf dir
- add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303482
- introduce perl-xfconf subpackage
- bump major
- obsolete old library
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)
- enable perl bindings
- own missing directory

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294440
- Xfce4.6 beta1 is landing on cooker
- add source and spec files
- Created package structure for xfconf.

